Skip to main content

Update unit

PUThttps://api.propexo.com/v1/units/:id

Update a unit for a property.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

id stringrequired

The ID of the resource.

Request​

This endpoint expects an object.

    integration_idstring

    The Propexo unique identifier for the integration

    unit_idstring

    The Propexo unique identifier for the unit

    categorystring

    The category of the unit.

    Show 2 enum values
    ResidentialCommercial
    typestring

    The type of the unit.

    Show 2 enum values
    ApartmentHouse
    namestring

    The name of the unit. Example: "Unit 3".

    abbreviationstring

    The abbreviation of the unit. Example: "UNIT3"

    address_1string

    The first address line associated with the unit

    address_2string

    The second address line of the unit.

    citystring

    The city associated with the unit

    statestring

    The state associated with the unit

    zipstring

    The zip code associated with the unit

    countrystring

    The country of the unit.

    notesstring

    Notes associated with the unit

    bathroomsnumber

    The number of bathrooms associated with the unit. This value is sent directly to Rent Manager as-is. Use decimals for half bathrooms.

    bedroomsinteger

    The number of bedrooms associated with the unit

    rent_amount_market_in_centsinteger

    The market rent amount in cents for the unit

    square_feetinteger

    The square footage of the unit

    numberstring

    The unit number

    is_vacantboolean

    Whether the unit is vacant

Response​

Successful response

    job_idstringrequired

    The ID of the job created to handle this operation

    data objectrequired
    object

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/units/:id
curl -X PUT https://api.propexo.com/v1/units/:id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"unit_id": "string",
"category": "Residential",
"type": "Apartment",
"name": "string",
"abbreviation": "string",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "string",
"zip": "string",
"country": "string",
"notes": "string",
"bathrooms": 0,
"bedrooms": 0,
"rent_amount_market_in_cents": 0,
"square_feet": 0,
"number": "string",
"is_vacant": true
}'
200 Successful response
{
"job_id": "string",
"data": {}
}